#pragma once
#include "Ob_Dynamiczny.h"
#include <vector>

class Snake: public Ob_Dynamiczny{
public:
	
int predkosc;
int kierunek;
int dlugosc;
std::vector < int > pozycjaX;
std::vector < int > pozycjaY;
std::vector < int > tmpX;
std::vector < int > tmpY;


 std::vector < int >::iterator iter;


	Snake(int x, int y, BITMAP *b);
	~Snake();
	
	
	void Aktualizuj(BITMAP *b);
	void Akcja();
	bool Sprawdz();
	void Rysuj(BITMAP *b);
	void Wypisz();
	void Ustaw_Wartosci(int d, int k);
	int pobierzX();
	int pobierzY();
	void Dodaj();
};


